Index: c/src/lib/libbsp/i386/pc386/3c509/3c509.c
===================================================================
--- c/src/lib/libbsp/i386/pc386/3c509/3c509.c	(revision 17a5e1d8f4386adb2a37a7da0b35b9774a13c1ea)
+++ c/src/lib/libbsp/i386/pc386/3c509/3c509.c	(revision b607d9c89af25186696c476621e8cec95341752b)
@@ -59,4 +59,10 @@
  * MODIFICATION/HISTORY:
  * $Log$
+ * Revision 1.5  2004/07/25 14:21:43  joel
+ * 2004-07-25	Joel Sherrill <joel@OARcorp.com>
+ *
+ * 	* 3c509/3c509.c: Add <sys/errno.h>.
+ * 	* startup/linkcmds: Add .jcr section.
+ *
  * Revision 1.4  2004/04/21 16:01:33  ralf
  * Remove duplicate white lines.
@@ -243,5 +249,5 @@
  *
  **********************************************************************************/
-static __inline void outsl( unsigned short io_addr, unsigned char *out_data, int len )
+static __inline void outsl( unsigned short io_addr, uint8_t *out_data, int len )
 {
    u_long *pl = ( u_long *)out_data;
@@ -261,5 +267,5 @@
  *
  **********************************************************************************/
-static __inline void outsw( unsigned short io_addr, unsigned char *out_data, int len )
+static __inline void outsw( unsigned short io_addr, uint8_t *out_data, int len )
 {
    u_short *ps = ( u_short *)out_data;
@@ -279,5 +285,5 @@
  *
  **********************************************************************************/
-static __inline void outsb( unsigned short io_addr, unsigned char *out_data, int len )
+static __inline void outsb( unsigned short io_addr, uint8_t *out_data, int len )
 {
    while( len-- )
@@ -296,5 +302,5 @@
  *
  **********************************************************************************/
-static __inline void insw( unsigned short io_addr, unsigned char *in_data, int len )
+static __inline void insw( unsigned short io_addr, uint8_t *in_data, int len )
 {
    u_short *ps = ( u_short *)in_data;
@@ -314,5 +320,5 @@
  *
  **********************************************************************************/
-static __inline void insl( unsigned short io_addr, unsigned char *in_data, int len )
+static __inline void insl( unsigned short io_addr, uint8_t *in_data, int len )
 {
    u_long *pl = ( u_long *)in_data;
@@ -332,5 +338,5 @@
  *
  **********************************************************************************/
-static __inline void insb( unsigned short io_addr, unsigned char *in_data, int len )
+static __inline void insb( unsigned short io_addr, uint8_t *in_data, int len )
 {
    while( len-- )
@@ -376,5 +382,5 @@
  *
  **********************************************************************************/
-void __inline outb( unsigned short io_addr, unsigned char out_data )
+void __inline outb( unsigned short io_addr, uint8_t out_data )
 {
   outport_byte( io_addr, out_data );
@@ -388,7 +394,7 @@
  *
  **********************************************************************************/
-static __inline unsigned char inb( unsigned short io_addr )
-{
-  unsigned char in_data;
+static __inline uint8_t inb( unsigned short io_addr )
+{
+  uint8_t in_data;
   inport_byte( io_addr, in_data );
   return in_data;
@@ -1330,13 +1336,13 @@
        if( ep_ftst(F_ACCESS_32_BITS ) )
        {
-	      outsl( BASE + EP_W1_TX_PIO_WR_1, mtod(m, caddr_t), m->m_len / 4 );
+	      outsl( BASE + EP_W1_TX_PIO_WR_1, mtod(m, uint8_t *), m->m_len / 4 );
 	      if( m->m_len & 3 )
-             outsb(BASE + EP_W1_TX_PIO_WR_1, mtod(m, caddr_t) + (m->m_len & (~3)), m->m_len & 3 );
+             outsb(BASE + EP_W1_TX_PIO_WR_1, mtod(m, uint8_t *) + (m->m_len & (~3)), m->m_len & 3 );
        }
        else
        {
-	      outsw( BASE + EP_W1_TX_PIO_WR_1, mtod(m, caddr_t), m->m_len / 2 );
+	      outsw( BASE + EP_W1_TX_PIO_WR_1, mtod(m, uint8_t *), m->m_len / 2 );
 	      if( m->m_len & 1 )
-		  outb( BASE + EP_W1_TX_PIO_WR_1, *(mtod(m, caddr_t) + m->m_len - 1) );
+		  outb( BASE + EP_W1_TX_PIO_WR_1, *(mtod(m, uint8_t *) + m->m_len - 1) );
 	   }
 	}
@@ -1424,5 +1430,5 @@
 
   	   /* Read what should be the header. */
-	   insw(BASE + EP_W1_RX_PIO_RD_1, mtod(top, caddr_t), sizeof(struct ether_header) / 2);
+	   insw(BASE + EP_W1_RX_PIO_RD_1, mtod(top, uint8_t *), sizeof(struct ether_header) / 2);
 	   top->m_len = sizeof(struct ether_header);
 	   rx_fifo -= sizeof(struct ether_header);
@@ -1455,16 +1461,16 @@
 	   if( ep_ftst( F_ACCESS_32_BITS ) )
 	   { /* default for EISA configured cards*/
-	      insl( BASE + EP_W1_RX_PIO_RD_1, mtod(m, caddr_t) + m->m_len, lenthisone / 4);
+	      insl( BASE + EP_W1_RX_PIO_RD_1, mtod(m, uint8_t *) + m->m_len, lenthisone / 4);
 	      m->m_len += (lenthisone & ~3);
 	      if (lenthisone & 3)
-		     insb(BASE + EP_W1_RX_PIO_RD_1, mtod(m, caddr_t) + m->m_len, lenthisone & 3);
+		     insb(BASE + EP_W1_RX_PIO_RD_1, mtod(m, uint8_t *) + m->m_len, lenthisone & 3);
 	      m->m_len += (lenthisone & 3);
 	    }
 	    else
 	    {
-	      insw(BASE + EP_W1_RX_PIO_RD_1, mtod(m, caddr_t) + m->m_len, lenthisone / 2);
+	      insw(BASE + EP_W1_RX_PIO_RD_1, mtod(m, uint8_t *) + m->m_len, lenthisone / 2);
 	      m->m_len += lenthisone;
 	      if( lenthisone & 1 )
-		     *(mtod(m, caddr_t) + m->m_len - 1) = inb(BASE + EP_W1_RX_PIO_RD_1);
+		     *(mtod(m, uint8_t *) + m->m_len - 1) = inb(BASE + EP_W1_RX_PIO_RD_1);
 	   }
 	   rx_fifo -= lenthisone;
Index: c/src/lib/libbsp/i386/pc386/ChangeLog
===================================================================
--- c/src/lib/libbsp/i386/pc386/ChangeLog	(revision 17a5e1d8f4386adb2a37a7da0b35b9774a13c1ea)
+++ c/src/lib/libbsp/i386/pc386/ChangeLog	(revision b607d9c89af25186696c476621e8cec95341752b)
@@ -1,2 +1,6 @@
+2005-04-26	Joel Sherrill <joel@OARcorp.com>
+
+	* 3c509/3c509.c, wd8003/wd8003.c: Eliminate warnings.
+
 2005-04-18      Eric Valette <eric.valette@free.fr>
 
Index: c/src/lib/libbsp/i386/pc386/wd8003/wd8003.c
===================================================================
--- c/src/lib/libbsp/i386/pc386/wd8003/wd8003.c	(revision 17a5e1d8f4386adb2a37a7da0b35b9774a13c1ea)
+++ c/src/lib/libbsp/i386/pc386/wd8003/wd8003.c	(revision b607d9c89af25186696c476621e8cec95341752b)
@@ -324,5 +324,5 @@
       m->m_pkthdr.rcvif = ifp;
 
-      temp = m->m_data;
+      temp = (unsigned char *) m->m_data;
       m->m_len = m->m_pkthdr.len = len - sizeof(struct ether_header);
 
@@ -364,5 +364,5 @@
 	struct mbuf *n;
 	unsigned int len, tport;
-	char *shp, txReady;
+	uint8_t *shp, txReady;
 
 	tport = dp->port;
